RELATIVE_TO_NONE
RELATIVE_TO_NONE
Class simplifies working with urls, modified from Seria Platform
sign(string $key, string $paramName = 'sign', string $algorithm = 'sha1') : $this
Sign the URL using an arbitrary key that must be shared among those that will be able to sign urls.
| string | $key | The key to use for signing the URL |
| string | $paramName | The optional parameter name to use for signing the url. Default is 'sign' |
| string | $algorithm | Alternative algorithm to use, will use sha1 if unspecified. |
isSigned(string $key, string $paramName = 'sign', string $algorithm = 'sha1') : boolean
Check that the URL is signed using the specified key. Look at the comment for static::sign()
| string | $key | The key to use for signing the URL |
| string | $paramName | The optional parameter name to use for signing the url. Default is 'sign' |
| string | $algorithm | Alternative algorithm to use, will use sha1 if unspecified. |
getRelativeTo(string|\Fubber\Util\Url $relativeTo = self::RELATIVE_TO_NONE)
Get the url relative to another url or two predefined formats.
| string|\Fubber\Util\Url | $relativeTo | The url that the resulting string is going to be relative to |
current() : \Fubber\Util\Url
Return the URL for the current page, optionally add request parameters
Absolute URL